## libart-lgpl 14.1.5

=== doc/man/CMakeLists.txt ===
install(
    FILES libart2-config.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

## libart-lgpl 2.3.17-1osso1

=== debian/changelog ===
libart-lgpl (2.3.17-1osso1) unstable; urgency=low

  * 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue,  9 May 2006 14:26:50 +0300

libart-lgpl (2.3.17-1) unstable; urgency=low

  * GNOME Team Upload.
  * New upstream release.
  * debian/patches/001_relibtoolize.patch:
    - updated.
  * debian/watch:
    - added.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 25 Jan 2005 23:51:07 +0100

libart-lgpl (2.3.16-6) unstable; urgency=low

  * Relibtoolize (Closes: #260639)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jul 2004 17:27:15 +0200

libart-lgpl (2.3.16-5) unstable; urgency=low

  * Set shlibs version to current.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Apr 2004 18:49:50 +0200

libart-lgpl (2.3.16-4) unstable; urgency=low

  * Gnome Team upload.
  * Setting again the shlibs file.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 15 Apr 2004 19:35:09 +0200

libart-lgpl (2.3.16-3) unstable; urgency=low

  * New maintainer (Closes: #238891)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Mar 2004 15:14:54 +0100

libart-lgpl (2.3.16-2) unstable; urgency=low

  * Orphaned package.

 -- Christian Marillat <marillat@debian.org>  Fri, 19 Mar 2004 16:06:24 +0100

libart-lgpl (2.3.16-1) unstable; urgency=low

  * New upstream release.
  * Fix an "assertion failed" who crash gdm (Closes: #208919)

 -- Christian Marillat <marillat@debian.org>  Wed, 10 Sep 2003 09:48:22 +0200

libart-lgpl (2.3.15-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue,  2 Sep 2003 14:14:16 +0200

libart-lgpl (2.3.14-2) unstable; urgency=low

  * Compiled with -mieee for alpha (Closes: #207748)

 -- Christian Marillat <marillat@debian.org>  Fri, 29 Aug 2003 19:24:46 +0200

libart-lgpl (2.3.14-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri,  8 Aug 2003 10:23:11 +0200

libart-lgpl (2.3.13-1) unstable; urgency=low

  * new upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 11 Jul 2003 14:59:55 +0200

libart-lgpl (2.3.12-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon,  5 May 2003 12:58:07 +0200

libart-lgpl (2.3.11-4) unstable; urgency=low

  * Update section

 -- Christian Marillat <marillat@debian.org>  Tue,  1 Apr 2003 18:52:25 +0200

libart-lgpl (2.3.11-3) unstable; urgency=low

  * Add a patche to fix configure for mipsel

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Jan 2003 10:11:41 +0100

libart-lgpl (2.3.11-2) unstable; urgency=low

  * Update description (Closes: #177003)

 -- Christian Marillat <marillat@debian.org>  Fri, 17 Jan 2003 21:27:15 +0100

libart-lgpl (2.3.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.5.8

 -- Christian Marillat <marillat@debian.org>  Tue,  7 Jan 2003 19:40:48 +0100

libart-lgpl (2.3.10-4) unstable; urgency=low

  * Update to standards version 3.5.7

 -- Christian Marillat <marillat@debian.org>  Sat, 21 Sep 2002 14:41:00 +0200

libart-lgpl (2.3.10-3) unstable; urgency=low

  * Replace libc6-dev by libc-dev for -dev package.

 -- Christian Marillat <marillat@debian.org>  Thu,  5 Sep 2002 18:25:28 +0200

libart-lgpl (2.3.10-2) unstable; urgency=low

  * Move libc6-dev dependency in the -dev package.

 -- Christian Marillat <marillat@debian.org>  Thu,  8 Aug 2002 14:34:51 +0200

libart-lgpl (2.3.10-1) unstable; urgency=low

  * New upstream release (Closes: #151622)

 -- Christian Marillat <marillat@debian.org>  Tue,  2 Jul 2002 01:38:03 +0200

libart-lgpl (2.3.9-2) unstable; urgency=low

  * debian/control add a versioned dependency for the -dev package
    (Closes: #151369)

 -- Christian Marillat <marillat@debian.org>  Sat, 29 Jun 2002 17:39:39 +0200

libart-lgpl (2.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 25 Jun 2002 10:26:05 +0200

libart-lgpl (2.3.8-2) unstable; urgency=low

  * Add support for DEB_HOST_GNU_TYPE DEB_BUILD_GNU_TYPE and
    DEB_BUILD_OPTIONS

 -- Christian Marillat <marillat@debian.org>  Wed, 15 May 2002 22:28:40 +0200

libart-lgpl (2.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Jan 2002 10:58:19 +0100

libart-lgpl (2.3.7-1) unstable; urgency=low

  * Initial Release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Nov 2001 18:29:06 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libart-lgpl
Section: devel
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Sebastien Bacher <seb128@debian.org>, Takuo KITAME <kitame@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 4.0.0), libc-dev | libc6-dev, gnome-pkg-tools, cdbs

Package: libart-2.0-2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Library of functions for 2D graphics - runtime files
 A library of functions for 2D graphics supporting a superset of the
 PostScript imaging model, designed to be integrated with graphics, artwork,
 and illustration programs. It is written in optimized C, and is fully
 compatible with C++. With a small footprint of 10,000 lines of code, it is
 especially suitable for embedded applications.

Package: libart-2.0-dev
Architecture: any
Section: libdevel
Depends: libart-2.0-2 (= ${Source-Version}), pkg-config, libc6-dev | libc-dev
Description: Library of functions for 2D graphics - development files
 A library of functions for 2D graphics supporting a superset of the
 PostScript imaging model, designed to be integrated with graphics, artwork,
 and illustration programs. It is written in optimized C, and is fully
 compatible with C++. With a small footprint of 10,000 lines of code, it is
 especially suitable for embedded applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SOURCE_DIR=./libart-lgpl-2.3.17

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.3.17
major=2

config.status:
	dh_testdir
	# Add here commands to configure the package.
	cd $(SOURCE_DIR) && CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	cd $(SOURCE_DIR) && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -fr $(SOURCE_DIR)

	# untar and patch new & clean directory
	tar -zxf upstream/tarballs/libart-lgpl_2.3.17.orig.tar.gz

#	for f in upstream/patches/*.diff; do \
#		patch -p0 < $$f; \
#	done

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd $(SOURCE_DIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(SOURCE_DIR)/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libart-lgpl 2.3.17-1osso3

=== debian/changelog ===
libart-lgpl (2.3.17-1osso3) unstable; urgency=low

  * Fixes: NB#40238: doesn't provide debug symbols package for debugging

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 11 Oct 2006 13:24:05 +0300

libart-lgpl (2.3.17-1osso2) unstable; urgency=low

  * Bugfix (removing .la from -dev package)

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 30 May 2006 13:29:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libart-lgpl
 Section: devel
 Priority: optional
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Jakub Pavelek <jakub.pavelek@nokia.com>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Sebastien Bacher <seb128@debian.org>, Takuo KITAME <kitame@debian.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>> 4.0.0), libc-dev | libc6-dev, gnome-pkg-tools, cdbs
@@ -27,3 +27,10 @@
  and illustration programs. It is written in optimized C, and is fully
  compatible with C++. With a small footprint of 10,000 lines of code, it is
  especially suitable for embedded applications.
+
+Package: libart-2.0-2-dbg
+Architecture: any
+Section: libdevel
+Depends: libart-2.0-2 (= ${Source-Version})
+Description: Debug symbols for libart.
+ Packs the debug symbols for the library.

=== debian/rules ===
--- 
+++ 
@@ -97,23 +97,11 @@
 	dh_installdocs
 	dh_installexamples
 	dh_install --sourcedir=debian/tmp -v
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
-	dh_compress
+	dh_strip --dbg-package=libart-2.0-2
 	dh_fixperms
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
+	dh_makeshlibs -V
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libart-lgpl 2.3.17-1osso5

=== debian/changelog ===
libart-lgpl (2.3.17-1osso5) unstable; urgency=low

  * changed packaging, removed upstream folder, added extracted orig.tar.gz, changed debian/rules

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Thu, 19 Oct 2006 15:27:00 +0300

libart-lgpl (2.3.17-1osso4) unstable; urgency=low

  * Looks like libc6 is now an "essential dependency" - removing it.

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 12 Oct 2006 09:45:11 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jakub Pavelek <jakub.pavelek@nokia.com>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Sebastien Bacher <seb128@debian.org>, Takuo KITAME <kitame@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>> 4.0.0), libc-dev | libc6-dev, gnome-pkg-tools, cdbs
+Build-Depends: debhelper (>> 4.0.0), gnome-pkg-tools, cdbs
 
 Package: libart-2.0-2
 Architecture: any
@@ -20,7 +20,7 @@
 Package: libart-2.0-dev
 Architecture: any
 Section: libdevel
-Depends: libart-2.0-2 (= ${Source-Version}), pkg-config, libc6-dev | libc-dev
+Depends: libart-2.0-2 (= ${Source-Version}), pkg-config, libc6-dev 
 Description: Library of functions for 2D graphics - development files
  A library of functions for 2D graphics supporting a superset of the
  PostScript imaging model, designed to be integrated with graphics, artwork,

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 config.status:
 	dh_testdir
 	# Add here commands to configure the package.
-	cd $(SOURCE_DIR) && CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: build-stamp
@@ -46,7 +46,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd $(SOURCE_DIR) && $(MAKE)
+	$(MAKE)
 
 	touch build-stamp
 
@@ -57,7 +57,7 @@
 	rm -fr $(SOURCE_DIR)
 
 	# untar and patch new & clean directory
-	tar -zxf upstream/tarballs/libart-lgpl_2.3.17.orig.tar.gz
+#	tar -zxf upstream/tarballs/libart-lgpl_2.3.17.orig.tar.gz
 
 #	for f in upstream/patches/*.diff; do \
 #		patch -p0 < $$f; \
@@ -82,7 +82,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
-	cd $(SOURCE_DIR) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 
 # Build architecture-independent files here.
@@ -93,7 +93,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs $(SOURCE_DIR)/ChangeLog
+	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_install --sourcedir=debian/tmp -v

=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/ \
        libart_lgpl-(.*)\.tar\.gz \
        debian uupdate

## libart-lgpl 2.3.21

=== debian/changelog ===
libart-lgpl (2.3.21-2) unstable; urgency=low

  * Use dpkg source format 3.0 (quilt).
  * Drop debian/patches/70_relibtoolize.patch and use dh-autoreconf instead to
    update the build system.
  * Bump debhelper compat level to 9.
  * Stip debian/tmp/ from .install files.
  * Convert to multiarch. Closes: #661714
  * Drop libtool .la file.
  * Add Vcs-* fields.
  * Bump Standards-Version to 3.9.3.
  * Add symbols file for libart-2.0-2.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jun 2012 19:30:18 +0200

libart-lgpl (2.3.21-1) unstable; urgency=low

  [ Loic Minier ]
  * Properly anchor package name regexp.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/control.in:
      - Update Standards-Version and build-depend on autotools-dev.
    + debian/patches/70_relibtoolize.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 25 Apr 2010 11:35:30 +0200

libart-lgpl (2.3.20-2) unstable; urgency=low

  * Let libart-2.0-dev depend on shlibs:Depends.
  * Extract library package name from control instead of hardcoding it in
    rules.
  * New patch, 60_libart-config-static, adds --static flag to libart2-config
    to avoid -lm in the output of --libs; please consider switching to
    pkg-config instead; GNOME #531278; closes: #375812.
  * Fix copyright to state LGPL 2 or later as checked with licensecheck;
    thanks Thomas Viehmann; closes: #478766.

 -- Loic Minier <lool@dooz.org>  Sat, 03 May 2008 22:21:18 +0200

libart-lgpl (2.3.20-1) unstable; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/90_fix-headers-for-cplusplus.patch:
      - Dropped, merged upstream.
    + debian/patches/70_relibtoolize.patch:
      - Regenerated for the new version.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jan 2008 13:38:26 +0100

libart-lgpl (2.3.19-3) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * Drop libc6-dev dep in libart-2.0-dev.
  * Add ${misc:Depends}.

 -- Loic Minier <lool@dooz.org>  Wed, 11 Apr 2007 16:23:30 +0200

libart-lgpl (2.3.19-2) experimental; urgency=high

  * Use clean-la.mk and require gnome-pkg-tools 0.7.
  * New patch, 90_fix-headers-for-cplusplus.patch, fixes linking with C++
    applications; GNOME #413197; SVN r278; closes: #417568.
  * Rename patch 070_relibtoolize to 70_relibtoolize.

 -- Loic Minier <lool@dooz.org>  Tue, 03 Apr 2007 15:23:09 +0200

libart-lgpl (2.3.19-1) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Add complete licensing information in copyright file.
  * Update upstream URL in copyright file.
  * Bump up Standards-Version to 3.7.2.
  * Use debian/libart-2.0-dev.manpages instead of
    DEB_INSTALL_MANPAGES_libart-2.0-dev.
  * Use HTTP in watch file and track all branches.
  * Include CDBS's utils.
  * New upstream releases with API additions.
    - Include the new check-dist Makefile to prevent accidental uploads to
      unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
    - Set shlibs to >= 2.3.18.
    - Update and rename relibtoolizing patch, 070_relibtoolize.
  * Drop useless libart-2.0-dev.files.
  * Drop build-dep on libc6-dev | libc-dev; doh.
  * Bump up DebHelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Feb 2007 15:20:45 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libart-lgpl
Section: devel
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sebastien Bacher <seb128@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools (>= 0.7),
               cdbs (>= 0.4.93),
               autotools-dev,
               dh-autoreconf
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/attic/libart-lgpl
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/attic/libart-lgpl

Package: libart-2.0-2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library of functions for 2D graphics - runtime files
 A library of functions for 2D graphics supporting a superset of the
 PostScript imaging model, designed to be integrated with graphics, artwork,
 and illustration programs. It is written in optimized C, and is fully
 compatible with C++. With a small footprint of 10,000 lines of code, it is
 especially suitable for embedded applications.

Package: libart-2.0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libart-2.0-2 (= ${binary:Version}),
         pkg-config
Description: Library of functions for 2D graphics - development files
 A library of functions for 2D graphics supporting a superset of the
 PostScript imaging model, designed to be integrated with graphics, artwork,
 and illustration programs. It is written in optimized C, and is fully
 compatible with C++. With a small footprint of 10,000 lines of code, it is
 especially suitable for embedded applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libart_lgpl

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/([\d\.]+)/ \
        libart_lgpl-(.*)\.tar\.gz \
        debian uupdate

## libart-lgpl 14.0.4

=== debian/changelog ===
libart-lgpl (4:14.0.4-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:36:18 +0200

libart-lgpl (2.3.22-0debian0) squeeze; urgency=low

  * Build patched/maintained TDE version instead of unmaintained upstream

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 07 Dec 2011 17:50:00 -0600

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

debian/stamp-autoreconf:
	dh_testdir
	cp -Rp /usr/share/aclocal/libtool.m4 libtool.m4.in
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -Rp /usr/share/libtool/config/ltmain.sh ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -Rp /usr/share/libtool/build-aux/ltmain.sh ltmain.sh
endif
	autoreconf -vi && \
	touch $@

makebuilddir:: debian/stamp-autoreconf
	dh_testdir

libart-2.0-N := $(shell sed -rn 's/^Package:[[:space:]]*(libart-2\.0-[0-9]+)[[:space:]]*$$/\1/p' debian/control)

GNOME_MODULE := libart_lgpl

DEB_DH_MAKESHLIBS_ARGS_$(libart-2.0-N) += -V '$(libart-2.0-N)(>= 2.3.18)'

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## libart-lgpl 14.0.6

=== debian/changelog ===
libart-lgpl (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:09:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-# 
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
-
 Source: libart-lgpl
 Section: devel
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sebastien Bacher <seb128@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9),
-               gnome-pkg-tools (>= 0.7),
-               cdbs (>= 0.4.93),
-               autotools-dev,
-               dh-autoreconf
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/attic/libart-lgpl
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/attic/libart-lgpl
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>, Sebastien Bacher <seb128@debian.org>
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, dpkg-dev (>= 1.13.19), automake, libtool, libltdl-dev
 
 Package: libart-2.0-2
 Architecture: any
 Multi-Arch: same
 Section: libs
+Replaces: libart-2.0-2 (<< 4:14.0.0~)
+Breaks: libart-2.0-2 (<< 4:14.0.0~)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -34,6 +25,8 @@
 Package: libart-2.0-dev
 Architecture: any
 Section: libdevel
+Replaces: libart-2.0-dev (<< 4:14.0.0~)
+Breaks: libart-2.0-dev (<< 4:14.0.0~)
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libart-2.0-2 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 debian/stamp-autoreconf:
 	dh_testdir

## libart-lgpl 14.0.8

=== debian/changelog ===
libart-lgpl (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:02 +0200

libart-lgpl (2.3.22-0ubuntu0) lucid; urgency=low

  * Build patched/maintained TDE version instead of unmaintained upstream

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 07 Dec 2011 17:50:00 -0600

## libart-lgpl 14.0.10

=== debian/changelog ===
libart-lgpl (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## libart-lgpl 14.0.13

=== debian/changelog ===
libart-lgpl (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Jun 2022 12:25:34 +0200

## libart-lgpl 14.1.0

=== debian/changelog ===
libart-lgpl (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libart-lgpl 14.1.1

=== debian/changelog ===
libart-lgpl (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libart-lgpl 14.1.2

=== debian/changelog ===
libart-lgpl (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:56:59 +0100

## libart-lgpl 14.1.3

=== debian/changelog ===
libart-lgpl (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:07:55 +0200

## libart-lgpl 14.1.4

=== debian/changelog ===
libart-lgpl (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libart-lgpl
 Section: devel
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, dpkg-dev (>= 1.13.19), automake, libtool, libltdl-dev
 
 Package: libart-2.0-2
 Architecture: any

## libart-lgpl 14.1.5~pre0

=== debian/changelog ===
libart-lgpl (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 52ecb65b73ba4726e99e8cc2a43c9475fe7e786a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libart-lgpl 14.1.5

=== debian/changelog ===
libart-lgpl (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 Standards-Version: 3.8.4
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 
 Package: libart-2.0-2
 Architecture: any

## libart-lgpl 14.1.6~pre0

=== debian/changelog ===
libart-lgpl (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 52ecb65b73ba4726e99e8cc2a43c9475fe7e786a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libart-lgpl 14.1.6~pre1

=== debian/changelog ===
libart-lgpl (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ec6d0e82b8e4e24d5194d076becf4f3aced849f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:39:49 +0100

## libart-lgpl 14.1.6~pre2

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( libart-lgpl )
set( LIBART_VERSION 2.3.21 )

string( REPLACE "." ";" LIBART_VERSION_LIST ${LIBART_VERSION} )
list( GET LIBART_VERSION_LIST 0 LIBART_MAJOR_VERSION )
list( GET LIBART_VERSION_LIST 1 LIBART_MINOR_VERSION )
list( GET LIBART_VERSION_LIST 2 LIBART_MICRO_VERSION )


#### include essential cmake modules

include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( GNUInstallDirs OPTIONAL )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

if( CMAKE_INSTALL_LIBDIR )
  tde_setup_install_path( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
endif( )

include( TDESetupPaths )
tde_setup_paths( )
enable_testing( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H -DLIBART_COMPILATION )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
libart-lgpl (4:14.1.6~pre2-0debian14.0.0+2~b) sid; urgency=low

  * Automated git build for e78f160671757c0cc7417bccb099df36ddb426b3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 03 Feb 2026 10:11:03 +0100

libart-lgpl (4:14.1.6~pre1) forky; urgency=low

  * Install libraries according to multi-arch rules
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Feb 2026 10:54:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 Standards-Version: 3.8.4
-Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 
 Package: libart-2.0-2
 Architecture: any
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libart-2.0-2 (= ${binary:Version}),
-         pkg-config
+         pkgconf
 Description: Library of functions for 2D graphics - development files
  A library of functions for 2D graphics supporting a superset of the
  PostScript imaging model, designed to be integrated with graphics, artwork,

## libart-lgpl 14.1.6~pre3

=== debian/changelog ===
libart-lgpl (4:14.1.6~pre3-0ubuntu26.04.0+3~a) resolute; urgency=low

  * Automated git build for 435ef3f90a89b565818701af78bc2dbb46c8cd31
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 02:47:30 +0100

libart-lgpl (4:14.1.6~pre1) resolute; urgency=low

  * Install libraries according to multi-arch rules
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Feb 2026 10:54:34 +0100

## libart-lgpl 14.2.0~pre4

=== debian/changelog ===
libart-lgpl (4:14.2.0~pre4-0debian13.0.0+6) trixie; urgency=low

  * Automated git build for 36494a76f10d2def963eb984dd3815d90a41d02c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 Standards-Version: 3.8.4
 
 Package: libart-2.0-2
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libart-2.0-2 (= ${binary:Version}),
-         pkgconf
+         pkg-config
 Description: Library of functions for 2D graphics - development files
  A library of functions for 2D graphics supporting a superset of the
  PostScript imaging model, designed to be integrated with graphics, artwork,

## libart-lgpl 14.2.0~pre5

=== debian/changelog ===
libart-lgpl (4:14.2.0~pre5-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 80ad591b7b1f8576dc7b227631faba5f576ad395
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:20:22 +0100

## libart-lgpl 14.2.0~pre6

=== debian/changelog ===
libart-lgpl (4:14.2.0~pre6-0ubuntu20.04.0+9) focal; urgency=low

  * Automated git build for a48a8c82405e858da7d2d28bb13d2cf94132da2f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 03 Feb 2026 10:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 Standards-Version: 3.8.4
+Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build
 
 Package: libart-2.0-2
 Architecture: any
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libart-2.0-2 (= ${binary:Version}),
-         pkg-config
+         pkgconf
 Description: Library of functions for 2D graphics - development files
  A library of functions for 2D graphics supporting a superset of the
  PostScript imaging model, designed to be integrated with graphics, artwork,

## libart-lgpl 14.2.0~pre7

=== debian/changelog ===
libart-lgpl (4:14.2.0~pre7-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 8a4c984578fdf814b5f4a8f2ee4bafd47b7aa8c4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libart-lgpl

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 25 Feb 2026 19:46:38 +0100
